#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEB,0x14,0x6A,0xB1,0x94,0xE7,0xE7,0xD5,0x0B,0xC3,0x02,0xEB,
		0x74,0x1D,0x9C,0xB4,0x59,0xCF,0xE6,0x38,0x03,0x8B,0x20,0x0C,
		0x47,0x1E,0xF4,0x31,0x56,0x54,0x88,0x4F,0x81,0xE7,0x3A,0xBB,
		0xEA,0xAB,0x16,0x24,0x21,0x10,0x13,0x12,0x16,0x6A,0x99,0x49,
		0x9E,0x7B,0x22,0xBC,0x97,0x07,0xC8,0xC8,0xC7,0x1C,0x18,0xC2,
		0x55,0x56,0x45,0xE3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
